      REAL FUNCTION calforce()
      REAL
     +IDCH    ,TIME    ,ITOWER  ,FORCE   ,ILAY     
*
      LOGICAL         CHAIN
      CHARACTER*128   CFILE
*
      COMMON /PAWCHN/ CHAIN, NCHEVT, ICHEVT
      COMMON /PAWCHC/ CFILE
*
      COMMON/PAWIDN/IDNEVT,OBS(13),
     +IDCH    ,TIME    ,ITOWER  ,FORCE   ,ILAY     
*
	real ped(8),gain(8)
	integer it
      calforce=1.
      ped(1)=-1.3
      ped(2)=-0.8
      ped(3)=-0.9
      ped(4)=-1.2
      ped(5)=-1.4
      ped(6)=-0.7
      ped(7)=-1.3
      ped(8)=-0.4
	gain(1)=5.6
	gain(2)=5.0
	gain(3)=5.2
	gain(4)=5.4
	gain(5)=5.6
	gain(6)=4.8
	gain(7)=5.5
	gain(8)=3.1
	do i=1,8
	       gain(i)=gain(i)
 		gain(i)=5.+ped(i)
	enddo
	it=itower
	calforce=(force-ped(it))*5./(gain(it)-ped(it))  
      END
